Package org.jboss.logmanager.filters

# Class LevelFilter

java.lang.Object
org.jboss.logmanager.filters.LevelFilter

All Implemented Interfaces:
  `Filter`

public final class LevelFilter extends Object implements Filter
A filter which excludes messages of a certain level or levels

## Constructor Summary

Constructors
Constructor
Description
`LevelFilter(Collection<Level> includedLevels)`
Construct a new instance.
`LevelFilter(Level includedLevel)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoggable(LogRecord record)`
Determine whether the message is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LevelFilter

public LevelFilter(Level includedLevel)
Construct a new instance.

Parameters:
  `includedLevel` - the level to include

### LevelFilter

public LevelFilter(Collection<Level> includedLevels)
Construct a new instance.

Parameters:
  `includedLevels` - the levels to exclude

## Method Details

### isLoggable

public boolean isLoggable(LogRecord record)
Determine whether the message is loggable.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if the level is in the inclusion list